---
title: getFirstAvailableBlock
hideTableOfContents: true
h1: getFirstAvailableBlock RPC Method
---

Returns the slot of the lowest confirmed block that has not been purged from the
ledger

<DocSideBySide>

<DocLeftSide>

### Parameters

**None**

### Result

- `<u64>` - Slot

</DocLeftSide>
<DocRightSide>

### Code sample

```shell
curl https://api.devnet.solana.com -s -X POST -H "Content-Type: application/json" -d '
  {
    "jsonrpc":"2.0","id":1,
    "method":"getFirstAvailableBlock"
  }
'
```

### Response

```json
{ "jsonrpc": "2.0", "result": 250000, "id": 1 }
```

</DocRightSide>
</DocSideBySide>
